Subject: Re: bug#9960: Compiling Emacs trunk with MSVC

From: Eli Zaretskii <[email-masked]>
Date: Mon, 07 Nov 2011 18:57:44 +0200

> From: Fabrice Popineau <[email-masked]>
> Date: Mon, 7 Nov 2011 17:13:09 +0100
> Cc: Christoph Scholtes <[email-masked]>, [email-masked]
> 
> >  #define FOO (1 << GCTYPEBITS)
> >  static int __declspec(align(FOO)) test = 1;
> 
> 
> Ok. I have to admit that it does not work this way with msvc. Actually, I
> can't find a way to make
> cl.exe compute the (1<< GCTYPEBITS) before giving it to the align
> declaration. At least not with the current release of cl.exe
> (16.00.40219.01). I can't check about the previous ones I may have used.
> [...]
> and yes I compiled it, I'm using my own version every day :-)

So you are saying that __declspec(align(1 << GCTYPEBITS)) surely did
work for you with some other version of MSVC?